Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Transport_Refcount_Guard Class Reference

Helper class that increments the refount on construction and decrements the refcount on destruction. More...

`#include <Transport.h>`

Collaboration diagram for TAO_Transport_Refcount_Guard:

[legend]
List of all members.

## Public Methods
| TAO_Transport_Refcount_Guard (TAO_Transport *)
| ~TAO_Transport_Refcount_Guard (void)
## Private Attributes
TAO_Transport * | tr_

## Detailed Description

Helper class that increments the refount on construction and decrements the refcount on destruction.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Transport_Refcount_Guard::TAO_Transport_Refcount_Guard | ( | TAO_Transport * |  | ) |

ACE_INLINE TAO_Transport_Refcount_Guard::~TAO_Transport_Refcount_Guard | ( | void |  | ) |

## Member Data Documentation

TAO_Transport* TAO_Transport_Refcount_Guard::tr_`[private]`

The documentation for this class was generated from the following files:

- Transport.h
- Transport.inl